Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class UserDefinedPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

Direct Known Subclasses:
  acropetal, AttributeListPattern, basipetal, UserDefinedCompoundPattern

    public abstract class UserDefinedPattern

extends Pattern
implements XObject

Nested Class Summary
`static interface` | `UserDefinedPattern.In`
`static interface` | `UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`protected` | `UserDefinedPattern()`
`protected` | `UserDefinedPattern(Type type)`

Method Summary
`static Method` | `findSignatureMethod(Type type)`
`static Type[]` | `getSignature(Method sig, int[] inOut)`
`XClass` | `getXClass()`
`XData` | `getXData()`
`void` | `initXClass(XClass cls)`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class de.grogra.xl.query.Pattern
`createMatcher, getDeclaredParameterCount, getParameterCount, getParameterKind, getParameterType, isDeleting, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserDefinedPattern

    protected UserDefinedPattern()

### UserDefinedPattern

    protected UserDefinedPattern(Type type)

Method Detail

### findSignatureMethod

    public static Method findSignatureMethod(Type type)

### getSignature

    public static Type[] getSignature(Method sig,
                                      int[] inOut)

### getXClass

    public final XClass getXClass()

  Specified by:
    `getXClass` in interface `XObject`

### getXData

    public final XData getXData()

  Specified by:
    `getXData` in interface `XObject`

### initXClass

    public final void initXClass(XClass cls)

  Specified by:
    `initXClass` in interface `XObject`

### write

    public final void write(BytecodeSerialization out)
                     throws java.io.IOException

  Specified by:
    `write` in interface `BytecodeSerialization.Serializable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD